MP4(3)

NAME

MP4SetRtpTimestampStart - Set the RTP start time of a hint track

SYNTAX

#include <mp4.h>

bool MP4SetRtpTimestampStart(
    MP4FileHandle hFile,
    MP4TrackId hintTrackId,
    MP4Timestamp startTime
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the hint track to which the operation applies.

startTime
    Specifies the desired RTP start timestamp for the hint track.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4SetRtpTimestampStart sets the RTP timestamp start of the specified hint track. Typically this is a random value that is chosen when the first RTP packet is constructed by the MP4 library. However the value can be set explicitly for the hint track and stored. Typically this is used if it is desired that timestamps start at zero.

See IETF RFC 1889 for details regarding RTP timestamps and RTCP.

SEE ALSO

MP4(3) MP4GetRtpTimestampStart(3)